Bug 140233 - kdm should have set its locale to the systems locale
kdm should have set its locale to the systems locale
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 10:18 EST by Florian Effenberger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 23:38:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2004-11-21 10:18:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
kdm should have set its locale to the systems locale. kde is set to
what you used in setup, bash is (via LANG=), but kdm is not and has to
be manually adjusted in the control panel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
Comment 1 Sergio Monteiro Basto 2005-07-15 22:31:15 EDT
Hi,
I think this isn't a bug and kdm set locale well.
Reading /usr/share/doc/initscripts-7.42/sysconfig.txt 
You cat set your local LANG on /etc/sysconfig/i18n and kdm works with it.
for example I sometimes work with LANG=en_US.UTF-8 and other with LANG=en_US
using kdm has displaymanager .
Btw set on /etc/sysconfig/desktop
like this:
DESKTOP="KDE"
#DISPLAYMANAGER="GNOME"
DISPLAYMANAGER="KDE"

Comment 2 Matthew Miller 2006-07-10 16:21:50 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 23:38:17 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 4 Mike A. Harris 2007-11-09 08:53:17 EST
If this is still a problem, you might want to have a look at bug #372151

Note You need to log in before you can comment on or make changes to this bug.